View Issue Details

IDProjectCategoryView StatusLast Update
0019586mantisbttimelinepublic2017-01-02 16:08
ReporterGeorg Seifert 
Assigned Todregad 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version1.3.5Fixed in Version1.3.5 
Summary0019586: Support disabling timeline feature based on access level
Description

Several other things/categories are customizable by setting (e.g: $g_roadmap_view_threshold = VIEWER;)
Add the same option for the timeline.

TagsNo tags attached.

Relationships

related to 0022096 new My View page without timeline does not respect the $g_my_view_boxes_fixed_position setting 
has duplicate 0020497 closedatrol Make Timeline optional 
related to 0022095 closeddregad Inconsistent number of "My View boxes" columns 
related to 0022104 confirmed My View Page layout misses some boxes 

Activities

atrol

atrol

2015-04-08 07:38

developer   ~0049339

PR at https://github.com/mantisbt/mantisbt/pull/592

vboctor

vboctor

2016-12-29 17:42

manager   ~0054875

Here is the link to the PR that was integrated:
https://github.com/mantisbt/mantisbt/pull/976

dregad

dregad

2016-12-30 12:37

developer   ~0054879

Last edited: 2016-12-30 12:42

View 2 revisions

The 2-column display does not respect the $g_my_view_boxes_fixed_position setting.

Edit: not sure whether that config should be kept at all. Maybe we should just make it obsolete ?

dregad

dregad

2016-12-30 18:47

developer   ~0054880

@vboctor your commit 1827ccf7 caused this issue to be resolved again, without addressing my earlier comment.

I opened 0022096 to follow up.

Related Changesets

MantisBT: master a246e29c

2016-12-12 11:28:34

Sebastian Limbach


Committer: vboctor Details Diff
Support turning off timeline from My View page. Fixes 0019586
mod - config_defaults_inc.php Diff File
mod - docbook/Admin_Guide/en-US/config/defaults.xml Diff File
mod - my_view_page.php Diff File

MantisBT: master-1.3.x 22f68e7d

2016-12-30 12:48:45

dregad

Details Diff
Support turning off timeline from My View page.

Backported from master a246e29cb6b512e0018ff75166fa7db090737ed7

Fixes 0019586
mod - config_defaults_inc.php Diff File
mod - docbook/Admin_Guide/en-US/config/defaults.xml Diff File
mod - my_view_page.php Diff File

MantisBT: master-1.3.x 1827ccf7

2016-12-30 14:27:46

vboctor

Details Diff
Add ‘timeline_view_threshold’ to public configs

Fixes 0019586
mod - config_defaults_inc.php Diff File

Issue History

Date Modified Username Field Change
2015-04-08 06:51 Georg Seifert New Issue
2015-04-08 07:38 atrol Note Added: 0049339
2015-04-08 11:43 vboctor Assigned To => community
2015-04-08 11:43 vboctor Status new => assigned
2016-01-10 15:23 atrol Relationship added has duplicate 0020497
2016-01-10 15:23 atrol Category customization => timeline
2016-12-29 17:38 vboctor Changeset attached => MantisBT master a246e29c
2016-12-29 17:38 vboctor Assigned To community => vboctor
2016-12-29 17:38 vboctor Status assigned => resolved
2016-12-29 17:38 vboctor Resolution open => fixed
2016-12-29 17:38 vboctor Fixed in Version => 2.0.0
2016-12-29 17:42 vboctor Assigned To vboctor => community
2016-12-29 17:42 vboctor Target Version => 2.0.0
2016-12-29 17:42 vboctor Note Added: 0054875
2016-12-29 17:43 vboctor Summary allow to disable the timeline in the config file => Support disabling timeline feature
2016-12-29 17:44 vboctor Summary Support disabling timeline feature => Support disabling timeline feature based on access level
2016-12-30 12:37 dregad Status resolved => feedback
2016-12-30 12:37 dregad Resolution fixed => reopened
2016-12-30 12:37 dregad Note Added: 0054879
2016-12-30 12:42 dregad Note Edited: 0054879 View Revisions
2016-12-30 14:06 dregad Changeset attached => MantisBT master-1.3.x 22f68e7d
2016-12-30 14:06 dregad Assigned To community => dregad
2016-12-30 14:06 dregad Status feedback => resolved
2016-12-30 14:07 dregad Relationship added related to 0022095
2016-12-30 14:26 atrol Fixed in Version 2.0.0 => 1.3.5
2016-12-30 14:26 atrol Target Version 2.0.0 => 1.3.5
2016-12-30 14:27 vboctor Changeset attached => MantisBT master-1.3.x 1827ccf7
2016-12-30 15:54 vboctor Status resolved => closed
2016-12-30 18:47 dregad Note Added: 0054880
2016-12-30 18:47 dregad Resolution reopened => fixed
2016-12-30 18:47 dregad Relationship added related to 0022096
2017-01-02 16:08 atrol Relationship added related to 0022104